// file      : CIDLC/ModuleEmitter.cpp
// author    : Jeff Parsons <j.parsons@vanderbilt.edu>
// cvs-id    : ModuleEmitter.cpp,v 1.1 2006/03/17 14:43:51 parsons Exp

#include "ModuleEmitter.hpp"

ModuleEmitter::ModuleEmitter (Context& c)
  : EmitterBase (c)
{
}

void
ModuleEmitter::pre (Type& t)
{
  os << "namespace " << t.name () << "{";
}

void
ModuleEmitter::post (Type&)
{
  os << "}";
}
